Package csb :: Package bio :: Package sequence :: Module alignment :: Class IdentityMatrix

[frames] | no frames]

# Class IdentityMatrix

source code

               object --+
                        |
    AbstractScoringMatrix --+
                            |
                           IdentityMatrix

Simple identity-based scoring matrix.

Nested Classes
Inherited from `AbstractScoringMatrix`: `__metaclass__`

Instance Methods

__init__(self, match=1, mismatch=-1) x.__init__(...) initializes x; see help(type(x)) for signature | source code

float

score(self, x, y) Return the pairwise score of residues `x` and `y`. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
float | match Score for a match
float | mismatch Score for a mismatch
Inherited from `object`: `__class__`

Method Details

### __init__(self, match=1, mismatch=-1)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `match` (float) - score for a match
  - `mismatch` (float) - score for a mismatch
Overrides: object.__init__
  (inherited documentation)

### score(self, x, y)

source code

Return the pairwise score of residues `x` and `y`. `x` and `y` must be comparable (e.g. implement __eq__ and __hash__).

Parameters:
  - `x` - first residue
  - `y` - second residue
Returns: float
Raises:
  - `ResidueNotFoundError` - if `x` or `y` cannot be handled by this scoring matrix
Overrides: AbstractScoringMatrix.score
  (inherited documentation)

Property Details

### match

Score for a match

Get Method:
  unreachable.match(self) - Score for a match
Type:
  float

### mismatch

Score for a mismatch

Get Method:
  unreachable.mismatch(self) - Score for a mismatch
Type:
  float